import request from '@/utils/request'

// 查询采集设备信息列表
export function listBaseCollectDeviceInfo(query) {
  return request({
    url: '/ems/base/baseCollectDeviceInfo/list',
    method: 'get',
    params: query
  })
}

// 查询采集设备信息详细
export function getBaseCollectDeviceInfo(objId) {
  return request({
    url: '/ems/base/baseCollectDeviceInfo/' + objId,
    method: 'get'
  })
}

// 新增采集设备信息
export function addBaseCollectDeviceInfo(data) {
  return request({
    url: '/ems/base/baseCollectDeviceInfo',
    method: 'post',
    data: data
  })
}

// 修改采集设备信息
export function updateBaseCollectDeviceInfo(data) {
  return request({
    url: '/ems/base/baseCollectDeviceInfo',
    method: 'put',
    data: data
  })
}

// 删除采集设备信息
export function delBaseCollectDeviceInfo(objId) {
  return request({
    url: '/ems/base/baseCollectDeviceInfo/' + objId,
    method: 'delete'
  })
}

// 查询采集设备信息列表
export function getCollectDeviceInfo(query) {
  return request({
    url: '/ems/base/baseCollectDeviceInfo/getCollectDeviceInfo',
    method: 'get',
    params: query
  })
}
